com.mapinfo.midev.language.filter

## Class DistanceFilterType

- java.lang.Object
- - java.lang.Enum
  - - com.mapinfo.midev.language.filter.DistanceFilterType

All Implemented Interfaces:
  Serializable, Comparable

    public final class DistanceFilterType
    extends Enum

Enumeration of operations that an IDataSourceTable supports when it states it supports the `DistanceFilter`.

See Also:
  `DistanceFilter`, `DistanceFilterCapability`, Serialized Form

### Field Summary

Fields
`static DistanceFilterType` `CENTROID_BEYOND` Identifies features whose representative point (centroid) of the specified geometry attribute value is greater than the specified distance from the search geometry.
`static DistanceFilterType` `CENTROID_WITHIN` Identifies features whose representative point (centroid) of the specified geometry attribute value is within the specified distance from the search geometry.
`static DistanceFilterType` `ENTIRELY_BEYOND` Identifies features whose specified geometry attribute value's minimum distance from the specified feature geometry is greater than the specified distance value.
`static DistanceFilterType` `ENTIRELY_WITHIN` Identifies features whose specified geometry attribute value is entirely within the specified distance from the search geometry.
`static DistanceFilterType` `ENVELOPES_INTERSECT` Identifies features whose specified geometry attribute value's minimum distance from the specified feature geometry is less than or equal to the specified distance value and envelope of both geometries should intersect.
`static DistanceFilterType` `INTERSECTS` Identifies features whose specified geometry attribute value's minimum distance from the specified feature geometry is less than or equal to the specified distance value.

### Method Summary

All Methods Static Methods Concrete Methods
`static DistanceFilterType` `valueOf(String name)`
`static DistanceFilterType[]` `values()`

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ENTIRELY_WITHIN

    public static final DistanceFilterType ENTIRELY_WITHIN

Identifies features whose specified geometry attribute value is entirely within the specified distance from the search geometry. In other words, identifies features whose specified geometry attribute value's maximum distance from the specified feature geometry is less than or equal to the specified distance value.

#### CENTROID_WITHIN

    public static final DistanceFilterType CENTROID_WITHIN

Identifies features whose representative point (centroid) of the specified geometry attribute value is within the specified distance from the search geometry.

#### ENTIRELY_BEYOND

    public static final DistanceFilterType ENTIRELY_BEYOND

Identifies features whose specified geometry attribute value's minimum distance from the specified feature geometry is greater than the specified distance value.

#### CENTROID_BEYOND

    public static final DistanceFilterType CENTROID_BEYOND

Identifies features whose representative point (centroid) of the specified geometry attribute value is greater than the specified distance from the search geometry.

#### INTERSECTS

    public static final DistanceFilterType INTERSECTS

Identifies features whose specified geometry attribute value's minimum distance from the specified feature geometry is less than or equal to the specified distance value.

#### ENVELOPES_INTERSECT

    public static final DistanceFilterType ENVELOPES_INTERSECT

Identifies features whose specified geometry attribute value's minimum distance from the specified feature geometry is less than or equal to the specified distance value and envelope of both geometries should intersect.

### Method Detail

#### values

    public static DistanceFilterType[] values()

#### valueOf

    public static DistanceFilterType valueOf(String name)